Ir al contenido
Documentación de Endless

Get workspace model governance

GET
/organizations/{organization_id}/models/governance

Get workspace model governance. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Query Parameters

kind*string

Value in

  • "workspace"
  • "team"
  • "user"
team_id?string
Formatuuid
user_id?string
Match^user_
output_type?string

Value in

  • "text"
  • "image"
  • "video"
  • "audio"

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/org_abc123/models/governance?kind=workspace"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "codename": "string",    "name": "string",    "owner": "string",    "description": "string",    "output_type": "text",    "parameters": "string",    "type": "edit",    "minimum_required_plan": "hobby",    "position": -140737488355328,    "staff": true,    "unlisted": true,    "deleted_at": "2019-08-24T14:15:22Z",    "deleted_by_id": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "version_id": "string",    "version_number": -9007199254740991,    "version_status": "draft",    "variants": [],    "state": "off",    "locked": true,    "locked_by": "workspace",    "base_cost": 0,    "preference_position": null,    "position_from": null  }]